package com.huashe.park.application.engine;

import java.io.Serializable;

import com.alibaba.fastjson2.JSONObject;

public class LocationInfo implements Serializable {
    private static final long serialVersionUID = 1L;

    double latitude;

    double longitude;

    long srcTimestamp; // 时间戳，单位毫秒

    long handleTimestamp;

    long evtTimestamp;

    String bizId;

    JSONObject msg;

    public LocationInfo() {
    }

    public LocationInfo(double latitude, double longitude, long srcTimestamp) {
        this.latitude = latitude;
        this.longitude = longitude;
        this.srcTimestamp = srcTimestamp;
    }

    public double getLatitude() {
        return latitude;
    }

    public void setLatitude(double latitude) {
        this.latitude = latitude;
    }

    public double getLongitude() {
        return longitude;
    }

    public void setLongitude(double longitude) {
        this.longitude = longitude;
    }

    public long getSrcTimestamp() {
        return srcTimestamp;
    }

    public void setSrcTimestamp(long srcTimestamp) {
        this.srcTimestamp = srcTimestamp;
    }

    public long getHandleTimestamp() {
        return handleTimestamp;
    }

    public void setHandleTimestamp(long handleTimestamp) {
        this.handleTimestamp = handleTimestamp;
    }

    public long getEvtTimestamp() {
        return evtTimestamp;
    }

    public void setEvtTimestamp(long evtTimestamp) {
        this.evtTimestamp = evtTimestamp;
    }

    public JSONObject getMsg() {
        return msg;
    }

    public void setMsg(JSONObject msg) {
        this.msg = msg;
    }

    public String getBizId() {
        return bizId;
    }

    public void setBizId(String bizId) {
        this.bizId = bizId;
    }

    @Override
    public String toString() {
        return "LocationInfo{" + "latitude=" + latitude + ", longitude=" + longitude + ", srcTimestamp=" + srcTimestamp
            + ", handleTimestamp=" + handleTimestamp + ", evtTimestamp=" + evtTimestamp + ", bizId='" + bizId + '\''
            + ", msg=" + msg + '}';
    }
}
